Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.interview
Class PropertiesQuestion.BooleanConstraints

    java.lang.Object
      com.sun.interview.PropertiesQuestion.ValueConstraints
          com.sun.interview.PropertiesQuestion.BooleanConstraints

Enclosing class:
  PropertiesQuestion

    public static class PropertiesQuestion.BooleanConstraints

extends PropertiesQuestion.ValueConstraints

Constraints allowing a value to be either a boolean or Yes/No response.

Constructor Summary
`PropertiesQuestion.BooleanConstraints()`
`PropertiesQuestion.BooleanConstraints(boolean isYesNo)`
`PropertiesQuestion.BooleanConstraints(boolean isYesNo, boolean unsetAllowed)`

Method Summary
`boolean` | `isYesNo()` Is this a yes/no field, instead of the default true/false?
`void` | `setUseYesNo(boolean state)` Indicate whether this should be a Yes/No question or True/False.

Methods inherited from class com.sun.interview.PropertiesQuestion.ValueConstraints
`isReadOnly, isUnsetAllowed, isValid, isVisible, setReadOnly, setUnsetAllowed, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertiesQuestion.BooleanConstraints

    public PropertiesQuestion.BooleanConstraints()

### PropertiesQuestion.BooleanConstraints

    public PropertiesQuestion.BooleanConstraints(boolean isYesNo)

Parameters:
  `isYesNo` - Should this question be presented as a Yes/No question rather than a True/False.
See Also:
  `setUseYesNo(boolean)`

### PropertiesQuestion.BooleanConstraints

    public PropertiesQuestion.BooleanConstraints(boolean isYesNo,
                                                 boolean unsetAllowed)

Parameters:
  `isYesNo` - Should this question be presented as a Yes/No question rather than a True/False.
  `unsetAllowed` - Can the question be set to have no value.
See Also:
  `PropertiesQuestion.ValueConstraints.setUnsetAllowed(boolean)`, `setUseYesNo(boolean)`

Method Detail

### setUseYesNo

    public void setUseYesNo(boolean state)

  Indicate whether this should be a Yes/No question or True/False.

  Parameters:
    `state` - True if this should be rendered as a Yes/No question, false if it should be a boolean true/false.
  See Also:
    `isYesNo()`

### isYesNo

    public boolean isYesNo()

  Is this a yes/no field, instead of the default true/false?

  Returns:
    True if this is a Yes/No question, false if it is a True/False question.
  See Also:
    `setUseYesNo(boolean)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.